# vim: set ts=4 sw=4 et:
# Copyright (c) 2006-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de


Summary:        A MIDI/Audio multi-track sequencer
Name:           qtractor
Version:        0.5.0
Release:        1.pm.1.10
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Multimedia/Sound/Midi
# http://prdownloads.sourceforge.net/qtractor/qtractor-%{version}.tar.gz
Source:         %{name}-%{version}.tar.gz
Source1:        http://downloads.sourceforge.net/qtractor/%{name}-0.3.0-user-manual.pdf
Patch1:         qtractor-fix_desktop_file.patch
Patch2:         qtractor-no_qgtkstyle.patch
URL:            http://qtractor.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       alsa
Requires:       jack
BuildRequires:  alsa
BuildRequires:  jack
BuildRequires:  alsa-devel
BuildRequires:  dssi-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  qt-devel >= 4.1
BuildRequires:  qt >= 4.1
BuildRequires:  ladspa
BuildRequires:  libjack-devel
BuildRequires:  liblo-devel
BuildRequires:  libmad-devel
BuildRequires:  librubberband-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libslv2-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libpng-devel
BuildRequires:  libvorbis-devel
BuildRequires:  lv2core-devel
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme

%description
Qtractor is a MIDI/Audio multi-track sequencer application written
in C++ around the Qt4 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home studio.

%prep
%setup -q
%patch1
%if 0%{?suse_version} < 1130
%patch2
%endif

%__install -m 644 %{SOURCE1} .

%build
%ifarch ppc
    %__sed -i -e "s/-msse//g" -e "s/-mfpmath=sse//g" configure
%endif

%configure \
    --enable-libvorbis \
    --enable-libmad \
    --enable-libsamplerate \
    --enable-librubberband  \
    --enable-liblo \
    --enable-ladspa \
    --enable-dssi \
    --enable-lv2 \
    --enable-lv2-event \
    --enable-lv2-external-ui \
    --enable-gradient

%__make %{?_smp_flags}

%install
%makeinstall

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 src/images/%{name}.png \
    %{buildroot}%{_datadir}/pixmaps

%suse_update_desktop_file -r %{name} AudioVideo Sequencer

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%doc *.pdf
%{_bindir}/qtractor
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/*/*/apps/qtractor.*

%changelog
* Sat Jul 23 2011 detlef@links2linux.de
- update to 0.5.0
* Sun May 29 2011 detlef@links2linux.de
- update to 0.4.9
* Thu Mar 10 2011 pascal.bleser@opensuse.org
- update to 0.4.8
* Mon Nov  8 2010 pascal.bleser@opensuse.org
- update to 0.4.7
* Sun Jan 24 2010 toni@links2linux.de
- update to 0.4.5 "Frisky Demivierge"
- This is mostly a bugfix dot release. A problem was fixed in which audio clips
  were out of sync after changing loop points while playback is rolling with the
  play-head. The MIDI event list view was missing some selected items with the
  very same onset time, and this has been fixed. MIDI clip editor multiple
  selection has been fixed regarding move or paste-snapping consistency.
* Sat Jan 16 2010 toni@links2linux.de
- update to 0.4.4 "Frisky Demivierge"
  * LV2 plug-in support (NEW)
  * MIDI event list view (NEW)
  * Expedite audio/MIDI clip import (NEW)
  * DSSI plug-in output control ports feedback/update (NEW)
  * JACK transport, MMC, SPP control options (NEW)
  * Self-bounce/recording (FIX)
  * Audio/MIDI drift correction (FIX)
  * Anti-glitch audio micro-fade-in/out ramp smoothing (FIX)
* Tue Oct  6 2009 detlef@links2linux.de
- update to 0.4.3 "The Fussy Doula"
* Thu Jun  4 2009 toni@links2linux.de
- update to 0.4.2 "The Flaunty Demoness"
* Sat Apr  4 2009 toni@links2linux.de
- update to 0.4.1
* Sat Mar 14 2009 toni@links2linux.de
- update to 0.4.0
* Sat Dec 27 2008 toni@links2linux.de
- update to 0.3.0
* Sun Oct  5 2008 toni@links2linux.de
- update to 0.2.2
- manual is updated to recent version
* Fri Aug 29 2008 toni@links2linux.de
- update to 0.2.1
* Fri Jul 18 2008 toni@links2linux.de
- update to 0.2.0
* Thu Jul 10 2008 toni@links2linux.de
- rebuild with rubberband-1.2
* Fri May  2 2008 toni@links2linux.de
- update to 0.1.3
* Sun Mar 23 2008 toni@links2linux.de
- update to 0.1.2
* Sat Feb 16 2008 toni@links2linux.de
- update to 0.1.1
- added liblo and dssi support
- added user-manual.pdf instead of whitepaper.pdf
* Sat Jan  5 2008 toni@links2linux.de
- update to 0.1.0
- added whitepaper.pdf
* Sat Dec 22 2007 toni@links2linux.de
- update to  0.0.9-818 cvs20071222
* Tue Dec 18 2007 toni@links2linux.de
- update to  0.0.9-810 cvs20071218
* Thu Dec 13 2007 toni@links2linux.de
- update to  0.0.9-802 cvs20071213
* Fri Dec  7 2007 toni@links2linux.de
- update to  0.0.9-789 cvs20071207
* Fri Nov 30 2007 toni@links2linux.de
- update to  0.0.9-778 cvs20071130
* Sun Nov 25 2007 toni@links2linux.de
- update to  0.0.8-775 cvs20071125
* Mon Nov  5 2007 toni@links2linux.de
- update to  0.0.8-762 cvs20071111
* Wed Oct 31 2007 toni@links2linux.de
- update to  0.0.7-752 cvs20071031
* Fri Oct 26 2007 toni@links2linux.de
- update to  0.0.6-741 cvs20071026
* Sun Oct 21 2007 toni@links2linux.de
- update to  0.0.6-732 cvs20071021
* Fri Oct 19 2007 toni@links2linux.de
- update to  0.0.6-729 cvs20071019
* Tue Oct  9 2007 toni@links2linux.de
- update to  0.0.6-728 cvs20071009
* Sun Oct  7 2007 toni@links2linux.de
- update to  0.0.5-721 cvs20071007
* Wed Oct  3 2007 toni@links2linux.de
- update to  0.0.5-719 cvs20071003
* Sat Sep 22 2007 toni@links2linux.de
- update to  0.0.5-710 cvs20070921
* Sat Sep  8 2007 toni@links2linux.de
- update to  0.0.5-702 cvs20070908
* Tue Aug 28 2007 toni@links2linux.de
- update to  0.0.4-687 cvs20070828
* Tue Aug 21 2007 toni@links2linux.de
- update to  0.0.4-680 cvs20070821
* Thu Jul 19 2007 toni@links2linux.de
- update to  0.0.4-675 cvs20070719
* Tue Jul  3 2007 toni@links2linux.de
- update to  0.0.3-666 cvs20070703
* Sun Jun 24 2007 toni@links2linux.de
- update to  0.0.3-662 cvs20070624
* Wed Jun 13 2007 toni@links2linux.de
- update to  0.0.3-628 cvs20070613
* Tue Jun  5 2007 toni@links2linux.de
- update to  0.0.2-610 cvs20070605
* Sat May 26 2007 toni@links2linux.de
- update to  0.0.2-604 cvs20070525
* Tue May  8 2007 toni@links2linux.de
- update to  0.0.1-589 cvs20070507
* Sun Apr 29 2007 toni@links2linux.de
- update to  0.0.1-588 cvs20070429
* Wed Apr 18 2007 toni@links2linux.de
- update to  0.0.1-586 cvs20070418
* Tue Apr 10 2007 toni@links2linux.de
- update to  0.0.1-582 cvs20070409
* Mon Apr  2 2007 toni@links2linux.de
- update to  0.0.1-579 cvs20070318
* Mon Mar 19 2007 toni@links2linux.de
- update to  0.0.1-576 cvs20070318
* Wed Mar  7 2007 toni@links2linux.de
- update to  0.0.1-569 cvs20070305
* Thu Feb  8 2007 toni@links2linux.de
- update to  0.0.1-549 cvs20070208
* Sat Jan 27 2007 toni@links2linux.de
- update to  0.0.1-531 cvs20070125
* Sat Jan 13 2007 toni@links2linux.de
- update to  0.0.1-530 cvs20070113
* Sat Dec 30 2006 toni@links2linux.de
- update to  0.0.1-527 cvs20061226
* Thu Dec 21 2006 toni@links2linux.de
- update to  0.0.1-526 cvs20061221
* Tue Dec  5 2006 toni@links2linux.de
- update to  0.0.1-519 cvs20061205
* Fri Nov 24 2006 toni@links2linux.de
- update to  0.0.1-516 cvs20061124
* Sun Nov 19 2006 toni@links2linux.de
- update to  0.0.1-508 cvs20061119
* Mon Nov 13 2006 toni@links2linux.de
- update to  0.0.1.502 cvs20061113
* Wed Nov  8 2006 toni@links2linux.de
- update to  0.0.1.498 cvs20061108
* Sun Nov  5 2006 toni@links2linux.de
- update to  0.0.1.492 cvs20061105
* Tue Oct 31 2006 toni@links2linux.de
- update to  0.0.1.486 cvs20061031
* Mon Oct  2 2006 toni@links2linux.de
- update to  0.0.0.485 cvs20061002
* Sun Sep 24 2006 toni@links2linux.de
- update to  0.0.0.484 cvs20060924
* Fri Sep 22 2006 toni@links2linux.de
- build for packman
* Thu Sep 14 2006 oc2pus@arcor.de
- update to  0.0.0.474 cvs20060914
* Thu Sep  7 2006 oc2pus@arcor.de
- update to  0.0.0.470 cvs20060907
* Mon Sep  4 2006 oc2pus@arcor.de
- update to  0.0.0.467 cvs20060904
* Wed Aug 30 2006 oc2pus@arcor.de
- update to  0.0.0.458 cvs20060830
* Fri Aug 25 2006 oc2pus@arcor.de
- update to  0.0.0.450 cvs20060825
* Tue Aug 22 2006 oc2pus@arcor.de
- update to  0.0.0.446 cvs20060822
* Tue Aug 15 2006 oc2pus@arcor.de
- initial release 0.0.0.438
